import { Station, IndexedProperty } from "eufy-security-client";
export interface StationPropertiesSchema0 {
    name: string;
    model: string;
    serialNumber: string;
    hardwareVersion: string;
    softwareVersion: string;
    type: number;
    lanIpAddress: string;
    macAddress: string;
    guardMode: number;
    currentMode: number;
    timeFormat: number;
    alarmVolume: number;
    alarmTone: number;
    promptVolume: number;
    notificationSwitchModeSchedule: boolean;
    notificationSwitchModeGeofence: boolean;
    notificationSwitchModeApp: boolean;
    notificationSwitchModeKeypad: boolean;
    notificationStartAlarmDelay: boolean;
    switchModeWithAccessCode: boolean;
    autoEndAlarm: boolean;
    turnOffAlarmWithButton: boolean;
    stationHomeSecuritySettings: string;
    stationAwaySecuritySettings: string;
    stationCustom1SecuritySettings: string;
    stationCustom2SecuritySettings: string;
    stationCustom3SecuritySettings: string;
    stationOffSecuritySettings: string;
}
export declare type StationProperties = StationPropertiesSchema0;
export declare const dumpStationProperties: (station: Station, schemaVersion: number) => StationProperties;
export declare const dumpStationPropertiesMetadata: (station: Station, schemaVersion: number) => IndexedProperty;
//# sourceMappingURL=properties.d.ts.map